Enable or disable AD without leaving the domain
PUT
/directory-services/active-directory/enabled
const url = 'https://sylve.lan:8181/api/directory-services/active-directory/enabled';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"enabled":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://sylve.lan:8181/api/directory-services/active-directory/enabled \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "enabled": true }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Enabled state
Media typeapplication/json
object
enabled
boolean
Examplegenerated
{ "enabled": true}Responses
Section titled “Responses”OK
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}